using System;
using System.Data.OleDb;
using System.Data;
using banco1.domain;

namespace banco1.datasets
{
	/// <summary>
	/// Descripción breve de Class1.
	/// </summary>
	public class ExportacionClientes
	{
		ExportacionClientes() 
		{
		}

		public void exportarClientes()
		{
			String cad="Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" +
				"C:\\Documents and Settings\\mpolo\\My Documents\\Visual Studio Projects\\banco5\\banco.mdb";
			
			OleDbConnection bd=new OleDbConnection(cad);

			OleDbCommand cmd=new OleDbCommand("SELECT * from Clientes", bd);
			OleDbDataAdapter adaptador = new OleDbDataAdapter();
			adaptador.SelectCommand=cmd;
			DataSet listadoClientes= new DataSet();
			adaptador.Fill(listadoClientes, "Clientes");
			listadoClientes.WriteXml("c:\\clientes.xml");
		}

		public void importarClientes() 
		{
			DataSet listadoClientes=new DataSet();
			listadoClientes.ReadXml("c:\\clientes.xml");
			Console.WriteLine(listadoClientes.Tables.Count);
			Console.WriteLine(listadoClientes.Tables[0].TableName);
			foreach (DataRow r in listadoClientes.Tables[0].Rows) 
				Console.WriteLine("NIF: " + r[0]);
		}

		public static void Main() 
		{
			ExportacionClientes c=new ExportacionClientes();
			c.exportarClientes();
			c.importarClientes();
		}

	}
}
